Actually enable Special:PageLanguage on all Translate wikis
Closed, ResolvedPublic

Description

Spin-off from T69223: Schema change for page content language to finish satisfying T11360: Specify default language on a per-page basis / T37489: The source language of a page should be arbitrary on the relevant Wikimedia wikis.

All wikis with wmgUseTranslate true should also have $wgPageLanguageUseDB true and the relevant groups assigned the pagelang permission sysop and translation admin should suffice).

In a later step, we can consider adding other wikis and/or user groups.

Nemo_bis created this task.Dec 14 2016, 4:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2016, 4:29 PM
Nemo_bis triaged this task as Normal priority.Dec 14 2016, 4:30 PM
Nemo_bis updated the task description. (Show Details)Dec 14 2016, 4:57 PM

What is that setting suposed to do?

Enable Special:PageLanguage

What is Special:PageLanguage suposed to do? Any link or explanation would
be helpful, even if it seems obvious to all of you. Thank you :-)

Change 327413 had a related patch set uploaded (by TTO):
Enable per-page language choice on beta cluster

https://gerrit.wikimedia.org/r/327413

Change 327416 had a related patch set uploaded (by TTO):
Enable per-page language choice on wikis with Translate

https://gerrit.wikimedia.org/r/327416

Change 327413 abandoned by TTO:
Enable per-page language choice on beta cluster

Reason:
It seems this can already be tested on testwiki (in both prod and labs). I don't think we need this patch.

https://gerrit.wikimedia.org/r/327413

TTO added a subscriber: TTO.Dec 15 2016, 9:47 AM

Sorry about the noise... I had forgotten that this has been available on testwiki for a few months.

As far as the Translate extension is concerned, clearly the functionality has worked at some point, as Nemo created https://test.wikipedia.org/wiki/Finnish_translation_test with several translations from a Finnish source. My recent attempts at testing it today seem to have been hampered by some unrelated issue with the Translate extension, which is preventing translations from English and non-English source pages alike. See https://test.wikipedia.org/wiki/Traduire_du_fran%C3%A7ais for an example.

Having said that, page language selection is working correctly on testwiki, so I've scheduled the config change (matching what is proposed in the task description) for the second-last SWAT of the year tomorrow morning.

What is Special:PageLanguage suposed to do? Any link or explanation would
be helpful, even if it seems obvious to all of you. Thank you :-)

It allows you to specify the content language of an individual page. This then tells the Translate system which language is the "source" language for translations of the page. Currently, the wiki's default language is the only possible source language.

From an on-wiki perspective, nothing will change unless community members actively decide to make use of this feature. Potential for abuse is essentially nil, as the right to change page languages will only be available to admins and translation administrators. What's more, it will only be available on wikis with the Translate extension installed.

Johan awarded a token.

Change 327416 merged by jenkins-bot:
Enable per-page language choice on wikis with Translate

https://gerrit.wikimedia.org/r/327416

Mentioned in SAL (#wikimedia-operations) [2016-12-15T19:14:12Z] <thcipriani@tin> Synchronized wmf-config: SWAT: [[gerrit:327416|Enable per-page language choice on wikis with Translate]] T153209 (duration: 00m 42s)

TTO closed this task as Resolved.Dec 15 2016, 7:24 PM
TTO claimed this task.

Deployed just now.